#!/bin/bash

DIR="/home/rnaseq/Frozen_Datasets/OsteoGene/150228_STAR_Bams/"
REG="chr8:143000000-144000000"

for i in $(find $DIR -maxdepth 1 -type f -name "*.SAR.bam")
do
	filename=$(basename $i)
	samtools view -b -h $i $REG > ~/2021-06-SA-GWAS/$filename
	samtools index ~/2021-06-SA-GWAS/$filename
done
